pcl::common::NormalGenerator< T >::Parameters Struct Reference

`#include <pcl/common/random.h>`

## Public Member Functions

| Parameters (T _mean=0, T _sigma=1, pcl::uint32_t _seed=1)

## Public Attributes

T | mean
T | sigma
pcl::uint32_t | seed

## Detailed Description

### template<typename T>
struct pcl::common::NormalGenerator< T >::Parameters

Definition at line 164 of file random.h.

## Constructor & Destructor Documentation

## Parameters()

template<typename T >

pcl::common::NormalGenerator< T >::Parameters::Parameters | ( | T | _mean = `0`,
|  | T | _sigma = `1`,
|  | pcl::uint32_t | _seed = `1`
| ) |  |

inline

Definition at line 166 of file random.h.

## Member Data Documentation

## mean

template<typename T >

T pcl::common::NormalGenerator< T >::Parameters::mean

Definition at line 172 of file random.h.

Referenced by pcl::common::NormalGenerator< T >::setParameters().

## seed

template<typename T >

pcl::uint32_t pcl::common::NormalGenerator< T >::Parameters::seed

Definition at line 174 of file random.h.

Referenced by pcl::common::NormalGenerator< T >::NormalGenerator(), pcl::common::NormalGenerator< T >::setParameters(), and pcl::common::NormalGenerator< T >::setSeed().

## sigma

template<typename T >

T pcl::common::NormalGenerator< T >::Parameters::sigma

Definition at line 173 of file random.h.

Referenced by pcl::common::NormalGenerator< T >::setParameters().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/common/include/pcl/common/random.h